Subject: bug#76525: closed (Re: bug#76525: Warnings given when emacs is installed in a directory containing non-ASCII characters on Windows)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 09 Mar 2025 09:37:02 +0000

Your bug report

#76525: Warnings given when emacs is installed in a directory containing non-ASCII characters on Windows

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
76525: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=76525
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#76525: Warnings given when emacs is installed in a directory containing non-ASCII characters on Windows
From: Eli Zaretskii <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Sun, 09 Mar 2025 11:36:12 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> Cc: [email-masked]
> Date: Wed, 26 Feb 2025 15:36:54 +0200
> From: Eli Zaretskii <[email-masked]>
> 
> > From: Sc Sg <[email-masked]>
> > Cc: [email-masked]
> > Date: Wed, 26 Feb 2025 00:22:12 +0100
> > 
> > The real directory shows in explorer is C:\Users\שזדס\scoop\apps\emacs\current\bin
> > 
> > I tried the following:
> > * Setting the codepage to 1255; did nothing
> > * Changing the locale to Hebrew within Control Panel: here's the console output after I changed it:
> 
> OK.  So then the only way to avoid this problem is to find a build of
> Emacs 31 from the master branch, where this problem is supposed to be
> fixed.  Or build Emacs yourself.  Or wait for Emacs 30.2, since I've
> now backported the fix from the master branch.
> 
> Sorry.

No further comments, so I'm now closing this bug.

Subject: Warnings given when emacs is installed in a directory containing non-ASCII characters on Windows
From: [email-masked]
To: [email-masked]
Date: Mon, 24 Feb 2025 14:22:45 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

I obtained my emacs build from https://github.com/kiennq/emacs-build/releases/tag/v31.331.20250202.5e12843.

After launching the GUI version of emacs, the following warnings spew in the "Warnings" buffer (see attatchment)